package cn.dankal.share.condition;

import cn.hutool.core.util.StrUtil;
import org.springframework.context.annotation.Condition;
import org.springframework.context.annotation.ConditionContext;
import org.springframework.core.env.Environment;
import org.springframework.core.type.AnnotatedTypeMetadata;

/**
 * {@link Condition}
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/24
 */
public class RegisterBeanCondition implements Condition {

    /**
     * @param context  ConditionContext
     * @param metadata AnnotatedTypeMetadata
     * @return boolean 当且仅当返回 true 条件才生效
     */
    @Override
    public boolean matches(ConditionContext context, AnnotatedTypeMetadata metadata) {
        // 获取环境对象
        Environment environment = context.getEnvironment();
        String testEnv = environment.getProperty("TEST_ENV");
        final String matchValue = "true";
        // 当环境变量: TEST_ENV 的值为 true时,当前Condition才生效
        return StrUtil.equalsAnyIgnoreCase(matchValue, testEnv);
    }
}
