package cn.dankal.share.factory;

import cn.dankal.share.entity.Study;
import org.springframework.beans.factory.FactoryBean;

/**
 * {@link FactoryBean}
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/25
 */
public class StudyFactoryBean implements FactoryBean<Study> {

    /**
     * 返回 FactoryBean 生产的实例
     *
     * @return FactoryBean 生产的实例
     * @throws Exception
     */
    @Override
    public Study getObject() throws Exception {
        return new Study()
                .setSubjectName("SpringBoot核心编程思想")
                .setSubjectHour(30)
                .setSubjectDesc("一入Java深似海");
    }

    /**
     * FactoryBean 生产的实例 的 class 类型
     *
     * @return class  type
     */
    @Override
    public Class<?> getObjectType() {
        return Study.class;
    }


    /**
     * 是否是单例
     *
     * @return boolean
     */
    @Override
    public boolean isSingleton() {
        return true;
    }
}
