package cn.dankal.share.filter;

import cn.hutool.core.util.StrUtil;
import org.springframework.core.type.ClassMetadata;
import org.springframework.core.type.classreading.MetadataReader;
import org.springframework.core.type.classreading.MetadataReaderFactory;
import org.springframework.core.type.filter.TypeFilter;

import java.io.IOException;

/**
 * {@link TypeFilter}
 * RegisterTypeFilter
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/23
 */
public class RegisterTypeFilter implements TypeFilter {
    /**
     * Spring 每 扫描一个 类 都会 调用 此方法.
     * <br/>
     * 当且仅当 此方法 返回 true 时,包含和排除 才会生效
     *
     * @param metadataReader        MetadataReader
     * @param metadataReaderFactory MetadataReaderFactory
     * @return boolean
     * @throws IOException
     */
    @Override
    public boolean match(MetadataReader metadataReader, MetadataReaderFactory metadataReaderFactory) throws IOException {
        ClassMetadata classMetadata = metadataReader.getClassMetadata();
        String className = classMetadata.getClassName();
        System.out.println("className = " + className);
        final String containString = "subject";
        if (StrUtil.containsIgnoreCase(className, containString)) {
            // 包含  类名 包含 subject 不会被排除
            return false;
        }
        // 默认都注册
        return true;
    }
}
