package cn.dankal.share.java.annotation;

import java.lang.annotation.*;

/**
 * {@link Retention}  {@link Target}
 * 蛋壳科技日志标识注解
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/23
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(value = {ElementType.TYPE, ElementType.METHOD})
public @interface DanKalTechnologyLog {

    /**
     * 日志前缀
     *
     * @since v1.0.0.0
     */
    String prefix() default "cn.dankal";

    /**
     * 日志打印日期格式
     *
     * @since v1.0.0.0
     */
    String dateTimePattern() default "yyyyMMdd HH:mm:ss";

    /**
     * 是否使用 Java8 新提供的时间 API
     *
     * @since v1.0.0.0
     */
    boolean isUseJava8DateTime() default true;
}
