package cn.dankal.share.java.annotation;

import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Scope;

import java.lang.annotation.Annotation;

/**
 * 测试 获取 对象 注解信息
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/23
 */
@Configuration
@Scope("prototype")
@DanKalTechnologyLog(prefix = "cn.dankal.share")
public class TestGetObjectAnnotationInfo {

    public static void main(String[] args) {
        // 获取对应类的字节码对象
        // etc TestGetObjectAnnotationInfo
        Class<TestGetObjectAnnotationInfo> classObject = TestGetObjectAnnotationInfo.class;
        // 获取 TestGetObjectAnnotationInfo 所有注解信息
        Annotation[] annotations = classObject.getAnnotations();
        for (Annotation annotation : annotations) {
            // 注解类型
            Class<? extends Annotation> annotationType = annotation.annotationType();
            System.out.println("annotationType = " + annotationType);
            // 向下转型
            if (annotation instanceof DanKalTechnologyLog) {
                DanKalTechnologyLog danKalTechnologyLog = (DanKalTechnologyLog) annotation;
                // 获取相关注解属性值
                String prefix = danKalTechnologyLog.prefix();
                String dateTimePattern = danKalTechnologyLog.dateTimePattern();
                boolean useJava8DateTime = danKalTechnologyLog.isUseJava8DateTime();
                System.out.println("prefix = " + prefix);
                System.out.println("dateTimePattern = " + dateTimePattern);
                System.out.println("useJava8DateTime = " + useJava8DateTime);
            }
        }

    }
}
