package cn.dankal.share.lifecycle;

import cn.dankal.share.entity.Person;
import cn.dankal.share.entity.Study;
import cn.dankal.share.entity.Subject;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Import;


/**
 * {@link}
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/25
 */
@Import(Person.class)
public class BeanLifecycleConfig {

    @Bean(initMethod = "init", destroyMethod = "destroy")
    public Study study() {
        return new Study()
                .setSubjectName("Java并发学习")
                .setSubjectHour(20)
                .setSubjectDesc("Doug Lea NB!!!");
    }

    @Bean
    public Subject subject() {
        return new Subject();
    }
}
