package cn.dankal.share.register;

import cn.dankal.share.entity.Study;
import cn.dankal.share.filter.RegisterTypeFilter;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.FilterType;

/**
 * {@link Configuration}  {@link Bean}
 * RegisterBean
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/23
 */
@Configuration
@ComponentScan(basePackages = {"cn.dankal.share.service"},
        excludeFilters = {
                @ComponentScan.Filter(type = FilterType.CUSTOM, classes = {RegisterTypeFilter.class})
        })
public class RegisterBean {


    @Bean
    public Study study() {
        return new Study()
                .setSubjectName("Mybatis源码小析")
                .setSubjectHour(15)
                .setSubjectDesc("那些年我为啥嫌弃JDBC");
    }
}
